Bug 16122 - XFree86-xfs listens on TCP port instead of unix:/-1
Summary: XFree86-xfs listens on TCP port instead of unix:/-1
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86-Servers (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-13 22:18 UTC by John Eckerdal
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-13 22:18:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Eckerdal 2000-08-13 22:18:00 UTC
XFree86 4.0.1 font server neatly installed itself to listen on a TCP port - 
totally ignoring the current setting in my XF86Config.
Besides this annoying behaviour it opens up a possibility for remote
exploitation.
I find it, on my single user machine, a lot safer not to have another open
port.
XFS do indeed support a none-networked port mode - why not use that
instead?

Comment 1 Bill Nottingham 2000-08-14 05:13:26 UTC
This should be fixed in the rawhide XFree86 packages.


Note You need to log in before you can comment on or make changes to this bug.